<?php
/**
 * 易优CMS
 * ============================================================================
 * 版权所有 2016-2028 海南赞赞网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.eyoucms.com
 * ----------------------------------------------------------------------------
 * 如果商业用途务必到官方购买正版授权, 以免引起不必要的法律纠纷.
 * ============================================================================
 * Author: 小虎哥 <1105415366@qq.com>
 * Date: 2018-4-3
 */

namespace app\api\controller;

use think\Backup;
use think\Cache;

class Tools extends Base
{
    /*
     * 初始化操作
     */
    public function _initialize() {
        parent::_initialize();
    }

    public function import()
    {
        if (!in_array(GetUrlToDomain(), ['yiyocms.com'])) {
            die('操作失败！');
        }
        
        function_exists('set_time_limit') && set_time_limit(0);
        @ini_set('memory_limit','-1');

        $version = getCmsVersion();
        $file_path_full = DATA_PATH."sql/{$version}.sql";
        if (file_exists($file_path_full)) {
            $sqls = Backup::parseSql($file_path_full);
            if (Backup::install($sqls)) {
                /*清除缓存*/
                Cache::clear();
                delFile(RUNTIME_PATH);
                /*--end*/
                die('操作成功');
            }
        }
        die('操作失败！');
    }
}